Macro pour changer la table de gabarit

vos questions concernant les API SolidWorks

Messagepar liryc » Lun 14 Mai 2012, 13:00

Bon, en le passant en anglais j'ai réussi à tester l'exemple que j'ai donné au début.
Mais bon, en regardant de plus près j'ai l'impression que la fonction get n'est accessible qu'en C et non en VB.
liryc
Chevalier Jedi SolidWorks
 
Messages: 479
Inscription: Ven 02 Mar 2007, 8:14
Localisation: Paris - SW2009 SP5.0

Messagepar maverick1313 » Mar 15 Mai 2012, 1:33

OOUUAIS

enfin une pièce de tôlerie créer à l'aide d'une macro passant par une table excel..!! :P

je post pour récapituler. Alors pour exécuter la macro mentionné plus haut. Il faut mettre sont solid en anglais et ouvrir un esquisse nommé Sketch1 avec UN PROFIL À L'INTÉRIEUR.

C'etait mon erreur, je ne sait pas si c'est à cause de mon anglais pourri mais il fallait un profil esquissé.!

Je vous remercie beaucoup. je tente mon coup sur d'autre forum comme suggéré et je reviens, bien sur, si j'ai une solution. :lol:
maverick1313
Ewok SolidWorks
 
Messages: 15
Inscription: Sam 28 Avr 2012, 21:49

Messagepar maverick1313 » Jeu 17 Mai 2012, 23:24

Super j'ai trouvé un code qui marche du tonnère. le voici comme promis. ( dans le but d'aider uniquement )

Code: Tout sélectionner
Option Explicit
 
Sub Process_SMBaseFlange(swApp As SldWorks.SldWorks, swModel As SldWorks.ModelDoc2, swFeat As SldWorks.Feature)
    Dim bRet As Boolean
    Dim swBaseFlange As SldWorks.BaseFlangeFeatureData
    'Recupère la definition de la fonction
    Set swBaseFlange = swFeat.GetDefinition
    'Modifie le fichier de table de gabarit
    swBaseFlange.GaugeTablePath = "C:\PROGRAM FILES\SW2012 CORP\SOLIDWORKS\LANG\FRENCH\SHEET METAL GAUGE TABLES\k-factor mm sample.xls"
    'Modifie la fonction
    bRet = swFeat.ModifyDefinition(swBaseFlange, swModel, Nothing)
   
End Sub
 
Sub main()
    Dim swApp                       As SldWorks.SldWorks
    Dim swModel                     As SldWorks.ModelDoc2
    Dim swSelMgr                    As SldWorks.SelectionMgr
    Dim swFeat                      As SldWorks.Feature
    Dim swSubFeat                   As SldWorks.Feature
    Dim bRet                        As Boolean
    Set swApp = Application.SldWorks
    Set swModel = swApp.ActiveDoc
    Set swSelMgr = swModel.SelectionManager
    Set swFeat = swModel.FirstFeature
   
    Debug.Print "File = " & swModel.GetPathName
    Do While Not swFeat Is Nothing
        Select Case swFeat.GetTypeName
            Case "SMBaseFlange"
                Process_SMBaseFlange swApp, swModel, swFeat
            Case Else
           
        End Select
        Set swFeat = swFeat.GetNextFeature
    Loop
End Sub
maverick1313
Ewok SolidWorks
 
Messages: 15
Inscription: Sam 28 Avr 2012, 21:49

Précédente

Retourner vers Questions générales sur les API

 


  • Articles en relation
    Réponses
    Vus
    Dernier message

Qui est en ligne

Utilisateurs parcourant ce forum: Aucun utilisateur enregistré et 1 invité

banniere